Raspberry Pi ファームウェアをダウングレードする

MoOde Audioをrpi-updateしたところMoOde Playerとradikoの切り替えが不能になってしまいました。

wiringPiでエラーが出ているようです。

切り替えのスクリプトを実行するとこんなメッセージが出ます。

Unable to determine hardware version. I see: Hardware : BCM2835
,
– expecting BCM2708 or BCM2709.
If this is a genuine Raspberry Pi then please report this
to projects@drogon.net. If this is not a Raspberry Pi then you
are on your own as wiringPi is designed to support the
Raspberry Pi ONLY.
Unable to determine hardware version. I see: Hardware : BCM2835
,
– expecting BCM2708 or BCM2709.
If this is a genuine Raspberry Pi then please report this
to projects@drogon.net. If this is not a Raspberry Pi then you
are on your own as wiringPi is designed to support the
Raspberry Pi ONLY.
Unable to determine hardware version. I see: Hardware : BCM2835

BCM2835を認識できないと言っているようです。

インストール後のカーネルバージョン

# uname -a
Linux moode 4.9.11+ #971 Mon Feb 20 20:40:26 GMT 2017 armv6l GNU/Linux

これまでの4.4から4.9に一気に上がっていますね。

Debian 9 “Stretch”のリリースも近いことからRaspbianも頻繁にアップデートをしているようです。

Raspberry Pi3(jessie デスクトップ環境)もrpi-updateしたのですが特に問題なく稼働しています。(wiringPiは未確認)
MoOdeも安心してrpi-updateしてしまいました。

動かないのではしょうがないのでダウングレードしてみることにしました。

ダウングレード方法を探します。
https://github.com/Hexxeh/rpi-update
翻訳すると次の項目が見つかります。

オプション
特定のファームウェアリビジョンにアップグレード/ダウングレードするには、次のように、Gitハッシュ( https://github.com/Hexxeh/rpi-firmwareリポジトリ)を指定します。

sudo rpi-update fab7796df0cf29f9563b507a59ce5b17d93e0390

ハッシュ値を探すのも面倒なので最近インストールしたjessie-liteから調べます。

$ uname -a
Linux raspberry pi 4.4.47-v7+ #961 SMP Sun Feb 5 20:17:00 GMT 2017 armv7l GNU/Linux

$ ls -la /boot
2月  9 16:36 .firmware_revision

$ cat .firmware_revision
00a7eac6efc6ba29d94a7460f68215a1dbbdef0b

2月9日にrpi-updateしていますね。
このバージョン(4.4.47)にダウングレードしてみます。

# rpi-update 00a7eac6efc6ba29d94a7460f68215a1dbbdef0b

終了したら再起動

$ uname -a
Linux moode 4.4.47+ #961 Sun Feb 5 20:11:30 GMT 2017 armv6l GNU/Linux

無事起動して元のとおり動くようになりました。

この辺はすぐ修正が入ると思いますがファームウェアは現状問題なければ特にアップデートする必要もないのでこれでしばらく様子をみたいと思います。

Raspberry Pi財団もかなり大所帯になっていると思うのでDebian 9 “Stretch”のリリースに合わせてRaspbian”Stretch”もかなり早い段階で発表があるのではないかと予測しています。(わかりませんが!)